import time
import redis
r = redis.Redis('localhost',port=6379, db=14)
max_fail_age = 60*5,
proc_start_time = time.time()
# %%


redis_topic_ffmpeg_fail = 'camera_sidefeeder_sm_fail'
last_fails = [float(x) > max_fail_age for x in r.lrange(redis_topic_ffmpeg_fail, 0, -1) if float(x) > proc_start_time]

